package com.virtual.tour.arquelogia.vista;


/**
 * Created by Roger Gomez
 */

import android.app.Activity;
import android.os.Bundle;

import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.virtual.tour.arquelogia.controlador.Controlador;
import com.virtual.tour.arquelogia.R;


public class Maps extends Activity {

    //Variables Globales
    private GoogleMap map;
    private Controlador controlador;


    /**
     * Función llamada al crear la activity
     *
     * @param savedInstanceState
     */
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_maps);


        try {
            if (map == null) {
                map = ((MapFragment) getFragmentManager().
                        findFragmentById(R.id.map)).getMap();
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        //cogemos el controlador para llamar a la función que recoge los puntos y los pone en el mapa
        controlador = controlador.getSingletonInstance(null, null, null, null, null, null);
        controlador.crearMap(map);

    }


    /**
     * Función que finalizada el map y la activity al pulsar atrás en el dispositivo
     */

    @Override
    public void onBackPressed() {

        map = null;
        this.finish();

    }


}